Bug 739610 - NetworkManager shows disconnected status icon after laptop is resumed from sleep.
Summary: NetworkManager shows disconnected status icon after laptop is resumed from sl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 17
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 15:53 UTC by Dusan Obradovic
Modified: 2013-07-18 09:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 09:23:44 UTC


Attachments (Terms of Use)
messages log (10.55 KB, text/plain)
2011-09-19 15:54 UTC, Dusan Obradovic
no flags Details
nm screenshot (46.38 KB, image/png)
2011-09-19 15:54 UTC, Dusan Obradovic
no flags Details
Logs from messages from a moment of connection attempt (12.95 KB, text/plain)
2012-10-08 20:35 UTC, Zdenek Chmelar
no flags Details
My WLAN acts as active at the beginning (10.59 KB, image/png)
2012-10-08 20:37 UTC, Zdenek Chmelar
no flags Details
but the "dot" disappears after a while (11.07 KB, image/png)
2012-10-08 20:38 UTC, Zdenek Chmelar
no flags Details

Description Dusan Obradovic 2011-09-19 15:53:23 UTC
Description of problem:
NetworkManager shows disconnected status icon after laptop is resumed from sleep, even though wireless is reconnected and working fine.

Version-Release number of selected component (if applicable):
1:0.9.0-1-fc15

How reproducible:


Steps to Reproduce:
1. Put laptop to sleep while connected to wireless.
2. Resume from sleep.
  
Actual results:
Reconnects to wireless and shows disconnected icon.

Expected results:
Reconnects to wireless and shows connected icon.


Additional info:

Comment 1 Dusan Obradovic 2011-09-19 15:54:04 UTC
Created attachment 523860 [details]
messages log

Comment 2 Dusan Obradovic 2011-09-19 15:54:44 UTC
Created attachment 523861 [details]
nm screenshot

Comment 3 Jirka Klimes 2012-06-04 11:25:18 UTC
Is this still an issue with latest packages?

If so, please run these commands when you see the bad icon:
$ nmcli nm
$ nmcli dev s
$ nmcli con s

Comment 4 Zdenek Chmelar 2012-10-08 20:34:08 UTC
I have exactly the same problem (right now) - after laptop is resumed from sleep, I connect to wlan (I get a dot in the front of my wlan ESSID 'Home' but the icon shows no signal. After a while, the dot disappears from my wlan ESSID and it is not clear if I'm connected or not (but the connection is still active and internet works)

Reconnection does not solve the problem, restart of NetworkManager does not help as well. Actually, it has no negative consequences for work with Firefox and internet access but I'm not able to login to work via VPN because our company tool reports Network connection status as "Out or Range" (cannot detect IP address even if is listed via ifconfig), VPN cannot login to company until the laptop is rebooted when it works all again.

outputs from suggested commands above:

[zdenek@infinity ~]$ nmcli nm
RUNNING         STATE           WIFI-HARDWARE   WIFI       WWAN-HARDWARE   WWAN      
running         connected       enabled         enabled    enabled         enabled   
[zdenek@infinity ~]$ nmcli dev s
DEVICE     TYPE              STATE        
wlan0      802-11-wireless   connected    
eth0       802-3-ethernet    unavailable  
[zdenek@infinity ~]$ nmcli con s
NAME                      UUID                                   DEVICES    DEFAULT  VPN   MASTER-PATH                                 
Auto Home                 a622b11e-737f-421b-bcd9-ea501616e077   wlan0      yes      no    not set                                     
[zdenek@infinity ~]$ rpm -q NetworkManager
NetworkManager-0.9.4.0-9.git20120521.fc17.x86_64

I will attach log from a moment when I attempt to connect to my WLAN and snapshots of NetworkManager behaviour at the beginning and after a while.

Comment 5 Zdenek Chmelar 2012-10-08 20:35:47 UTC
Created attachment 623719 [details]
Logs from messages from a moment of connection attempt

Comment 6 Zdenek Chmelar 2012-10-08 20:37:05 UTC
Created attachment 623720 [details]
My WLAN acts as active at the beginning

Comment 7 Zdenek Chmelar 2012-10-08 20:38:11 UTC
Created attachment 623721 [details]
but the "dot" disappears after a while

Comment 8 Zdenek Chmelar 2012-10-08 20:40:02 UTC
Just a small update: This behaviour is not regular but random (sometimes it works all out of the box immediately after the sleep wake up ;-) )

Comment 9 Zdenek Chmelar 2013-06-14 08:57:34 UTC
I didn't see this behaviour for couple of months now. I consider it as solved.

Comment 10 Fedora End Of Life 2013-07-03 21:58:55 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Zdenek Chmelar 2013-07-18 08:36:53 UTC
Ticket can be closed. I am already on F19 and I do not see this behaviour anymore.


Note You need to log in before you can comment on or make changes to this bug.